#Develop version from http://repos.fedorapeople.org/repos/ryanlerch/inkscape-unstable
%define Werror_cflags %nil

Summary:	A vector-based drawing program using SVG
Name:		inkscape
Version:	0.92.1
Release:	1
License:	GPLv2+
Group:		Graphics
Url:		http://inkscape.sourceforge.net/
Source0:	https://inkscape.global.ssl.fastly.net/media/resources/file/%{name}-%{version}.tar.bz2
Patch1:		inkscape-0.92+devel-fix-desktop-file.patch
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gdk-pixbuf2.0
BuildRequires:	intltool

BuildRequires:	perl-XML-Parser
BuildRequires:	boost-devel
BuildRequires:	perl-devel
BuildRequires:	potrace-devel
BuildRequires:	pkgconfig(bdw-gc) >= 6.4
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gtkspell-2.0)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libcdr-0.1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libvisio-0.1)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(loudmouth-1.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(python)

Requires:	gdk-pixbuf2.0
Requires:	gnome-vfs2
Requires:	pstoedit
Requires:	python-lxml
Requires:	python
Suggests:	uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/inkscape/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*
%{_mandir}/*/man1/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# https://bugs.launchpad.net/inkscape/+bug/314381
# A couple of files have executable bits set,
# despite not being executable
find . -name '*.cpp' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find share/extensions -name '*.py' | xargs chmod -x

# Fix end of line encodings
dos2unix -k -q share/extensions/*.py

%build
export CXXFLAGS="%{optflags} -fpermissive -std=gnu++11"
#autoreconf -fi
./autogen.sh
%configure2_5x \
	--with-gnome-vfs \
	--enable-lcms \
	--enable-poppler-cairo
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

# No skencil anymore
rm -f %{buildroot}%{_datadir}/%{name}/extensions/sk2svg.sh

%find_lang %{name}

%changelog
